org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTMETHODRECEIVERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTMETHODRECEIVERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTMETHODRECEIVERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTMETHODRECEIVERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTMETHODRECEIVERNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTMETHODRECEIVERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTMETHODRECEIVERNode` | `bindAvoidvalidations(IDynamicContentBindingObject value)`
    `CLIENTMETHODRECEIVERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTMETHODRECEIVERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTMETHODRECEIVERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTMETHODRECEIVERNode` | `bindStatusbarneutral(IDynamicContentBindingObject value)`
    `CLIENTMETHODRECEIVERNode` | `setActionListener(java.lang.String value)`
    `CLIENTMETHODRECEIVERNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTMETHODRECEIVERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTMETHODRECEIVERNode` | `setAvoidvalidations(boolean value)`
    `CLIENTMETHODRECEIVERNode` | `setAvoidvalidations(java.lang.String value)`
    `CLIENTMETHODRECEIVERNode` | `setComment(java.lang.String value)`
    `CLIENTMETHODRECEIVERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTMETHODRECEIVERNode` | `setId(java.lang.String value)`
    `CLIENTMETHODRECEIVERNode` | `setReference(java.lang.String value)`
    `CLIENTMETHODRECEIVERNode` | `setRendered(boolean value)`
    `CLIENTMETHODRECEIVERNode` | `setRendered(java.lang.String value)`
    `CLIENTMETHODRECEIVERNode` | `setStatusbarneutral(boolean value)`
    `CLIENTMETHODRECEIVERNode` | `setStatusbarneutral(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTMETHODRECEIVERNode

          public CLIENTMETHODRECEIVERNode()

  - ### Method Detail

    - #### setId

          public CLIENTMETHODRECEIVERNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTMETHODRECEIVERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTMETHODRECEIVERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTMETHODRECEIVERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTMETHODRECEIVERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTMETHODRECEIVERNode setAttributemacro(java.lang.String value)

    - #### setAvoidvalidations

          public CLIENTMETHODRECEIVERNode setAvoidvalidations(java.lang.String value)

    - #### bindAvoidvalidations

          public CLIENTMETHODRECEIVERNode bindAvoidvalidations(IDynamicContentBindingObject value)

    - #### setAvoidvalidations

          public CLIENTMETHODRECEIVERNode setAvoidvalidations(boolean value)

    - #### setComment

          public CLIENTMETHODRECEIVERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTMETHODRECEIVERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTMETHODRECEIVERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTMETHODRECEIVERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTMETHODRECEIVERNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTMETHODRECEIVERNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTMETHODRECEIVERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTMETHODRECEIVERNode setRendered(boolean value)

    - #### setStatusbarneutral

          public CLIENTMETHODRECEIVERNode setStatusbarneutral(java.lang.String value)

    - #### bindStatusbarneutral

          public CLIENTMETHODRECEIVERNode bindStatusbarneutral(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public CLIENTMETHODRECEIVERNode setStatusbarneutral(boolean value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.